package cz.moneta.test.regression.data.api.smoke;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Disabled;

import static cz.moneta.test.harness.annotations.Environment.TST1;

@TestScenario(name = "Smoke tests for api squad")
public class ApiSquadSmokeTests {

    @Deprecated
    @Disabled("Obsolete, to be reviewed.")
    @TestCase(name = "API Squad - Smoke test - calling echo api for CAGW", environments = {TST1})
    @JiraTestCase(id = "AO-T430")
    public void tc_call_echo_cagw(Harness harness) {

        harness.withOauth2Web()
                .onOauth2WebEcho()
                .callEcho();

    }

    @Deprecated
    @Disabled("Obsolete, to be reviewed.")
    @TestCase(name = "API Squad - Smoke test - calling Federated login page", environments = {TST1})
    @JiraTestCase(id = "AO-T431")
    public void tc_call_federated_login_page(Harness harness) {

        harness.withOauth2Web()
                .onOauth2WebFederatedLogin()
                .callFederatedLogin();
    }

    @Deprecated
    @Disabled("Obsolete, to be reviewed.")
    @TestCase(name = "API Squad - Smoke test - calling CA Api portal login page", environments = {TST1})
    @JiraTestCase(id = "AO-T432")
    public void tc_call_api_portal_login_page(Harness harness) {

        harness.withMonetaApiPortal()
                .openLoginPage();
    }
}